Debian Bug report logs - #656722
mozjs: Various issues with the package

version graph

Package: src:mozjs; Maintainer for src:mozjs is Chris Coulson <chrisccoulson@ubuntu.com>;

Reported by: Mike Hommey <glandium@debian.org>

Date: Sat, 21 Jan 2012 10:24:29 UTC

Severity: serious

Found in version mozjs/1.8.5-1.0.0+dfsg-1

Fixed in version mozjs/1.8.5-1.0.0+dfsg-2

Done: Chris Coulson <chrisccoulson@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#656722; Package src:mozjs. (Sat, 21 Jan 2012 10:24:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <glandium@debian.org>:
New Bug report received and forwarded. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Sat, 21 Jan 2012 10:24:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Hommey <glandium@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mozjs: Various issues with the package
Date: Sat, 21 Jan 2012 11:23:29 +0100
Source: mozjs
Version: 1.8.5-1.0.0+dfsg-1
Severity: important

(I'm even tempted with an RC severity)

>From a quick glance at the source:
- You're building for armv7 on armel, which you definitely mustn't
- You're building as thumb2 on armel, which you shouldn't
- You're not building against system libffi
- You're missing a lot of important patches that were applied to the js
 engine in iceweasel 4, which is what mozjs185 is:
  - system-libs/Allow-to-build-against-system-libffi.patch
  - porting/Force-NativeARM.o-to-have-arch-armv4t-in-its-.ARM.at.patch
  - porting/Bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
  - fixes/Bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch
  - fixes/Bug-589744-Fallback-to-perf-measurement-stub-when-pe.patch
  All of which you can find in http://anonscm.debian.org/gitweb/?p=pkg-mozilla/iceweasel.git;a=tree;f=debian/patches;h=d39e60694aa430282907eda7aa91a2dc2f0f2740;hb=42523889c524368b82e935eb0dbde8059003bbe5

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Severity set to 'serious' from 'important' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 13:51:06 GMT) Full text and rfc822 format available.

Added indication that bug 656722 blocks 656718 Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 13:51:08 GMT) Full text and rfc822 format available.

Reply sent to Chris Coulson <chrisccoulson@ubuntu.com>:
You have taken responsibility. (Tue, 24 Jan 2012 22:36:15 GMT) Full text and rfc822 format available.

Notification sent to Mike Hommey <glandium@debian.org>:
Bug acknowledged by developer. (Tue, 24 Jan 2012 22:36:15 GMT) Full text and rfc822 format available.

Message #14 received at 656722-close@bugs.debian.org (full text, mbox):

From: Chris Coulson <chrisccoulson@ubuntu.com>
To: 656722-close@bugs.debian.org
Subject: Bug#656722: fixed in mozjs 1.8.5-1.0.0+dfsg-2
Date: Tue, 24 Jan 2012 22:33:56 +0000
Source: mozjs
Source-Version: 1.8.5-1.0.0+dfsg-2

We believe that the bug you reported is fixed in the latest version of
mozjs, which is due to be installed in the Debian FTP archive:

libmozjs185-1.0_1.8.5-1.0.0+dfsg-2_amd64.deb
  to main/m/mozjs/libmozjs185-1.0_1.8.5-1.0.0+dfsg-2_amd64.deb
libmozjs185-dev_1.8.5-1.0.0+dfsg-2_amd64.deb
  to main/m/mozjs/libmozjs185-dev_1.8.5-1.0.0+dfsg-2_amd64.deb
mozjs_1.8.5-1.0.0+dfsg-2.debian.tar.gz
  to main/m/mozjs/mozjs_1.8.5-1.0.0+dfsg-2.debian.tar.gz
mozjs_1.8.5-1.0.0+dfsg-2.dsc
  to main/m/mozjs/mozjs_1.8.5-1.0.0+dfsg-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Coulson <chrisccoulson@ubuntu.com> (supplier of updated mozjs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 24 Jan 2012 21:38:44 +0000
Source: mozjs
Binary: libmozjs185-1.0 libmozjs185-dev
Architecture: source amd64
Version: 1.8.5-1.0.0+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Chris Coulson <chrisccoulson@ubuntu.com>
Changed-By: Chris Coulson <chrisccoulson@ubuntu.com>
Description: 
 libmozjs185-1.0 - Spidermonkey javascript engine
 libmozjs185-dev - Spidermonkey javascript library - development headers
Closes: 656722
Changes: 
 mozjs (1.8.5-1.0.0+dfsg-2) unstable; urgency=low
 .
   [ Michael Biebl ]
   * Fix various issues in the package. Thanks a lot Mike Hommey for the
     patches and the help tracking down those build failures. (Closes: #656722)
   * Fix build failures on arm and disable thumb2 support for Debian builds
     (but keep it enabled for Ubuntu builds).
     - Add Bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch.
     - Remove no-neon-or-softfp-on-arm patch.
     - Force-NativeARM.o-to-have-arch-armv4t-in-its-.ARM.at.patch.
     - Disable methodjit support on armel for Debian builds.
   * Fix "The cacheFlush support is missing on this platform" build failure on
     mips, ia64 and s390.
     - Add Bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
   * Build against the system libffi library.
     - Add Allow-to-build-against-system-libffi.patch.
     - Add Build-Depends on libffi-dev and pkg-config.
     - Pass --enable-system-ffi to ./configure.
   * Fix build failure on 64bit big endian architecture (s390).
     - Add 64bit-big-endian.patch.
   * Fix broken library symlinks on "make install" when using DESTDIR instead
     of creating those symlinks manually.
     - Add destdir.patch.
     - Remove debian/libmozjs185-{1.0,dev}.links.
     - Update debian/libmozjs185-{1.0,dev}.install.
   * Enable test-suite but don't abort on failures.
   * Since dh_auto_configure does not properly handle configure scripts
     generated by autoconf2.13, call ./configure with the correct flags
     ourselves.
   * Update symbols file (using pkgkde-symbolshelper).
Checksums-Sha1: 
 a3e8e214bdd3f9b0e3dfbeeaae7d8042f66b33f9 1997 mozjs_1.8.5-1.0.0+dfsg-2.dsc
 426e9c909dc6079a1e33a54e7ffc2a27676c41fe 54009 mozjs_1.8.5-1.0.0+dfsg-2.debian.tar.gz
 2896ea5b72938247013ddf847fd47f5acdc58f73 1341122 libmozjs185-1.0_1.8.5-1.0.0+dfsg-2_amd64.deb
 7d37ab3110cea25b87ff35d3c0cd03cc80573418 2131176 libmozjs185-dev_1.8.5-1.0.0+dfsg-2_amd64.deb
Checksums-Sha256: 
 c1295cf5aed7bae65a59d24b54bae9aaeb0bc8953e1ef699c6c084bfae110963 1997 mozjs_1.8.5-1.0.0+dfsg-2.dsc
 da589970f24c91c32143209538a86d15b253428143f0c8caa7088d96d06a657b 54009 mozjs_1.8.5-1.0.0+dfsg-2.debian.tar.gz
 aee2cf5bdf8e6d1f6a2aa51955a82be55d390787097971e5b01b7079e158f567 1341122 libmozjs185-1.0_1.8.5-1.0.0+dfsg-2_amd64.deb
 439eac5f2a1086f05e002b61310ea98afc9873143aa41e5929b6a945eb004d9b 2131176 libmozjs185-dev_1.8.5-1.0.0+dfsg-2_amd64.deb
Files: 
 da0a5e8f30ca052325c0386b2d10f6da 1997 libs extra mozjs_1.8.5-1.0.0+dfsg-2.dsc
 1891eab1fe7c3937366c660e62049568 54009 libs extra mozjs_1.8.5-1.0.0+dfsg-2.debian.tar.gz
 a2a949552469c0b095ad45f771fba206 1341122 libs extra libmozjs185-1.0_1.8.5-1.0.0+dfsg-2_amd64.deb
 6cad42f8f84ce205674696d01b606f5a 2131176 libdevel extra libmozjs185-dev_1.8.5-1.0.0+dfsg-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPHyfVAAoJEGrh3w1gjyLcIAYQAJQbzhTm4f0KyfWZZppD2JaZ
lrOgmarXSNP+Dq3e+WyGgs+Gn6KQhwxxvQcvUburu1mDPhT3avtOqd15ddeqSQBX
SY48K511vQsCAAeysLsYZVunL/iZ5nSe87QpuCvuhC8tRBRyCHKrQPICb8OvjDYE
y27FHS+t2Id43SaBotw1NisQyPPXgaAXCRejfHZOpKgbf4SrJ+9hLDOz+isIUF0i
TmK2wnWb8nubEzDKOGNqkstpraXutiP5mwMIpMWD+oqMBH61GZSWMOC2wtbceQ47
1pJ5XgQjipHHTHX/YnglqK6jVGpVKziGL8ljd5N53kTdfyRbclbKSdvVO2RhntFr
4ic1aUjoLKhdQKVpNzEu8m1x5KOGGXNL6Trfm9026whvAfqhQd3Cr95bxvT4Ucij
1ymtz2luImp7NuzuvAyitZav1h4CdYvujiu3W2oL85FJhbyGMUMoaW4+qYSgEB10
ZE0TaNCdNX3a54eR+INRigPs1bNBf+kKSIukoEKQNUICQT1dT2HWCaZ82Ze6IqRO
AloP9j46HJa0fKZmc+r/86oPloimNphW+uwnjS6Vt6KCJIwBw65koFEdM9KRB7Kl
nvzg9Ptq2ZiooKl8SwQ80c6nRZSD4hHQ42Qs5kN7Qn3iIxjUaDz2xY8yIclHH8A3
DFgV05iJxg86XQLA2yxm
=fAaG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Feb 2012 07:35:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:59:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.